Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.domain
Class TimestampTZ

`java.lang.Object
oracle.sql.Datum
oracle.sql.TIMESTAMP
oracle.jbo.domain.Timestamp
oracle.jbo.domain.TimestampTZ`

All Implemented Interfaces:
  CustomDatum, DomainInterface, KeyAttributeInterface, ObjectData, java.io.Serializable, XMLDomainInterface, XMLDomainWriter

public class TimestampTZ
extends Timestamp

See Also:
  Serialized Form

Constructor Summary
`TimestampTZ()`
`TimestampTZ(java.sql.Timestamp ts)`
`TimestampTZ(Timestamp value)`

Method Summary
`static CustomDatumFactory` | `getCustomDatumFactory()` Internal: Applications should not invoke this method.
`Datum` | `toDatum(OracleConnection conn)` Internal: Applications should not invoke this method.
`protected void` | `validate()` Implements domain validation logic and throws a JboException on error.

Methods inherited from class oracle.jbo.domain.Timestamp
`dateValue, equals, getData, getSerializedDomainXML, getTime, getValue, getXMLContentNode, getXMLDomainFactory, hashCode, printXMLDefinition, setContext, toString, toTimestamp`

Methods inherited from class oracle.sql.TIMESTAMP
`isConvertibleTo, makeJdbcArray, stringValue, timestampValue, timeValue, TimeZoneConvert, toBytes, toBytes, toBytes, toBytes, toBytes, toBytes, toDate, toDATE, toJdbc, toString, toTime, toTimestamp`

Methods inherited from class oracle.sql.Datum
`asciiStreamValue, bigDecimalValue, binaryStreamValue, booleanValue, byteValue, characterStreamValue, compareBytes, doubleValue, floatValue, getBytes, getLength, getStream, intValue, longValue, setBytes, setShareBytes, shareBytes`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.jbo.domain.KeyAttributeInterface
`getBytes, setBytes`

Constructor Detail

### TimestampTZ

    public TimestampTZ()
                throws java.sql.SQLException

### TimestampTZ

    public TimestampTZ(java.sql.Timestamp ts)
                throws java.sql.SQLException

### TimestampTZ

    public TimestampTZ(Timestamp value)
                throws java.sql.SQLException

Method Detail

### validate

    protected void validate()

  Implements domain validation logic and throws a JboException on error.

### getCustomDatumFactory

    public static CustomDatumFactory getCustomDatumFactory()

  Description copied from class: `Timestamp`
  Internal: Applications should not invoke this method.

  Initializes the `Timestamp` Domain.

  This method is invoked when JBO is initialized. Applications should not call this method directly.

### toDatum

    public Datum toDatum(OracleConnection conn)
                  throws java.sql.SQLException

  Description copied from class: `Timestamp`
  Internal: Applications should not invoke this method.

  Converts this `Timestamp` Domain object back into an SQL `TIMESTAMP` object.

  Specified by:
    `toDatum` in interface `CustomDatum`
  Overrides:
    `toDatum` in class `Timestamp`
  Parameters:
    `conn` - `OracleConnection` Not used.
  Returns:
    A `Datum` containing `TIMESTAMP` object.
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.